// Cyberdlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCyberTrakDlg dialog

class CCyberTrakDlg : public CDialog
{
// Construction
public:
	CCyberTrakDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCyberTrakDlg)
	enum { IDD = IDD_CYBERTRAK_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCyberTrakDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCyberTrakDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAboutUs();
	afx_msg void OnHelpMe();
	afx_msg void OnPullPort();
	afx_msg void On19200();
	afx_msg void On9600();
	afx_msg void OnAvrFilOff();
	afx_msg void OnAvrFilOn();
	afx_msg void OnCheckOff();
	afx_msg void OnCheckOn();
	afx_msg void OnCom1();
	afx_msg void OnCom2();
	afx_msg void OnCom3();
	afx_msg void OnCom4();
	afx_msg void OnHardReset();
	afx_msg void OnHysterOff();
	afx_msg void OnHysterOn();
	afx_msg void OnChangeSampleInput();
	afx_msg void OnSetToAscii();
	afx_msg void OnSetToBinary();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSetToContinous();
	afx_msg void OnUponRequest();
	afx_msg void OnStartSampling();
	afx_msg void OnStopSampling();
	afx_msg void OnOKExit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
protected:
				MaxxCom		ComPort;
				UINT		timerID;
};
