#include <dos.h>
#include <stdlib.h>
#include "ctmbimo.h"

// Bimodal Interrupt handler Version 1.0 ctmbimo.c ctmbimo.h bimo.asm
// Copyright 1995 VictorMaxx Technologies
// 1/96 Haim Bodek

// the bimodal interrupt handler parses the input stream and keeps
// the most recent data in the externed variables:
// qdata->yaw (0 to 32767) 0 to 360 degrees
// qdata->pitch (0 to 32767) -90 to 90 degrees 
// Note: technology presently supports only -40 to 40 degrees
// qdata->roll (0 to 32767) -90 to 90 degrees
// Note: technology presently supports only -40 to 40 degrees

// By the way: I changed my mind -- hysteresis is enabled in the CTM now

int main ()
  {
  int port=1;
  if (!detectCTM(&port)) printf ("\nAutodetect failed\n");
  else 
    {
    if (!initCTM(port)) printf ("\nInitialize failed\n");
    else while (!kbhit())
          printf("Y: %f\t P:%f\t R:%f        \n",
          ((float)(qdata->yaw))/32767*360, 
          ((float)(qdata->pitch))/32767*180-90, 
          ((float)(qdata->roll))/32767*180-90);
    closeCTM (port);
    }
  return 0;
  }

  

                                                    





