#include "ctm.h"
#include "ctm.c"

main ()
  {
  int port; int i; int errcount=0;
  int version, revision; unsigned int subrevision;
  float yaw, pitch, roll;
  
  if (!detectCTM(&port)) 
    {
    printf ("CyberMaxx not detected on COM1 or COM2.\n");
    return; 
    }
  else printf ("CyberMaxx detected on Com Port %d\n",port);

  if (!initCTM(port))
    {
    printf ("CyberMaxx failed to initialize on Com Port%d\n",port);
    return; 
    }
  else printf ("CyberMaxx successfully initialized.\n");  

  if (versionCTM (port, &version , &revision, &subrevision))
    printf ("Detected CTM version %d.%d%c\n",version, revision, subrevision);
  else printf ("Failed to detect CTM version.\n");

  printf ("Attempting to read 100 CTM coordinates.\n\n");

  if (readCTM (port, &yaw, &pitch, &roll)) 
    printf ("First Data Set\nYaw: %f\nPitch %f\nRoll %f\n\n", yaw, pitch,roll);
  else
    {
    errcount++;
    printf("First data set read failed.\n");
    }

  for (i=0;i<98;i++) if (!readCTM (port, &yaw, &pitch, &roll)) errcount++;

  if (readCTM (port, &yaw, &pitch, &roll)) 
    printf ("Last Data Set:\nYaw: %f\nPitch %f\nRoll %f\n\n", yaw, pitch,roll);
  else
    {
    errcount++;
    printf("First data set read failed.\n");
    }
  
  if (errcount==0) printf("Successfully read 100 CTM coordinates.\n");
  else printf ("Failed to read %d/100 CTM coordinates.\n",errcount);

  closeCTM (port);
  }
